Bug 82718 - Ranged comments in Writer silently break when deleting from the beginning of the string
Summary: Ranged comments in Writer silently break when deleting from the beginning of ...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.6.2 release
Hardware: Other All
: medium major
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-17 01:48 UTC by Jean-François Fortin Tam
Modified: 2015-07-28 20:12 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
screencast no1 (2.60 MB, video/webm)
2014-08-17 01:49 UTC, Jean-François Fortin Tam
Details
screencast no2 (900.99 KB, video/webm)
2014-08-17 01:49 UTC, Jean-François Fortin Tam
Details
sample document (10.34 KB, application/vnd.oasis.opendocument.text)
2014-08-17 01:51 UTC, Jean-François Fortin Tam
Details
sample broken resulting document (9.96 KB, application/vnd.oasis.opendocument.text)
2014-08-17 01:51 UTC, Jean-François Fortin Tam
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-François Fortin Tam 2014-08-17 01:48:27 UTC
This is really tricky to explain so I'm attaching screencasts, but basically if you press the Delete key in front of the first character of a ranged comment, it will silently delete the comment but not show you that it did in the UI, until you reopen the saved document and find a "phantom" comment. Pretty big deal as it is unexpected data loss.

It should either clearly delete the comment immediately (and thus allow me to undo that) or not ever delete the comment, just convert it to a non-ranged comment (which in turn can be deleted if you really want to).
Comment 1 Jean-François Fortin Tam 2014-08-17 01:49:21 UTC
Created attachment 104744 [details]
screencast no1
Comment 2 Jean-François Fortin Tam 2014-08-17 01:49:58 UTC
Created attachment 104745 [details]
screencast no2
Comment 3 Jean-François Fortin Tam 2014-08-17 01:51:02 UTC
Created attachment 104746 [details]
sample document
Comment 4 Jean-François Fortin Tam 2014-08-17 01:51:20 UTC
Created attachment 104747 [details]
sample broken resulting document
Comment 5 Buovjaga 2014-11-12 10:41:16 UTC
I can't reproduce "le bork" on Win 7 or Ubuntu. Even the attached supposedly broken document has the comments preserved!
Note: contrary to the screencast, if I press left arrow twice at the "i" of ipsum, I go to Lorem and do not stay put.

Can you test with 4.3.x and report here? If it works ok, change to RESOLVED WORKSFORME.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@42, Branch:master, Time: 2014-11-12_00:19:18

Ubuntu 14.10 64-bit Version: 4.4.0.0.alpha2+
Build ID: 1c526c9ddda5d52f7a4db5655a4ec60b8c62835c
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2014-11-11_23:20:41
Comment 6 QA Administrators 2015-06-08 14:29:15 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INVALID
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!

This NEEDINFO Message was generated on: 2015-06-08

Warm Regards,
QA Team
Comment 7 QA Administrators 2015-07-18 17:27:48 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-07-18
Comment 8 Jean-François Fortin Tam 2015-07-28 20:12:51 UTC
Well, that's annoying... It all works flawlessly in 4.4.4, indeed!